package com.ss.android.ugc.aweme.compliance.protection.timelock.ui.fragment;

import X.070;
import X.0Bs;
import X.0Bv;
import X.0Bx;
import X.0By;
import X.0HH;
import X.1Bn;
import X.1hK;
import X.AnonymousClass2GD;
import X.AnonymousClass367;
import X.AnonymousClass3Z1;
import X.AnonymousClass3Z2;
import X.AnonymousClass3Z3;
import X.AnonymousClass3Z4;
import X.AnonymousClass3ZQ;
import X.C03012Pr;
import X.C08862ha;
import X.C16832uR;
import X.C29203Yi;
import X.C29303Ys;
import X.C30953c7;
import X.Ls2;
import X.LsC;
import android.content.Context;
import android.os.Bundle;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.base.fragment.AmeBaseFragment;
import com.ss.android.ugc.aweme.compliance.protection.timelock.viewmodel.TimeLockOptionViewModel;
import java.util.Iterator;

public class TimeLockSelectTimeFragmentV2 extends AmeBaseFragment {
    public ViewGroup LIZ;
    public C30953c7 LIZIZ;

    static {
        Covode.recordClassIndex(62159);
    }

    public void onViewCreated(View view, Bundle bundle) {
        MethodCollector.i(10404);
        TimeLockSelectTimeFragmentV2.super.onViewCreated(view, bundle);
        C30953c7 r3 = (C30953c7) view.findViewById(2131371289);
        this.LIZIZ = r3;
        C16832uR r2 = new C16832uR();
        AnonymousClass367.LIZ(r2, getString(2131833518), (Ls2<C03012Pr>) new AnonymousClass3Z3(this));
        r3.setNavActions(r2);
        this.LIZ = (ViewGroup) view.findViewById(2131363673);
        1hK activity = getActivity();
        0Bx LIZ2 = 0By.LIZ(activity, (0Bv) null);
        if (AnonymousClass2GD.LIZ) {
            0Bs.LIZ(LIZ2, activity);
        }
        1Bn<AnonymousClass3Z4> r32 = LIZ2.LIZ(TimeLockOptionViewModel.class).LIZ;
        Iterator<AnonymousClass3Z4> it = AnonymousClass3Z4.LIZ.iterator();
        while (it.hasNext()) {
            AnonymousClass3Z4 next = it.next();
            C29203Yi r5 = new C29203Yi(getContext());
            r5.setTitle(getString(2131833538, new Object[]{Integer.valueOf(next.LIZIZ)}));
            r5.setTag(Integer.valueOf(next.LIZIZ));
            r5.setWithSeparator(true);
            r5.setOnClickListener((LsC<? super Boolean, C03012Pr>) new AnonymousClass3Z2(r32, next));
            ViewGroup viewGroup = this.LIZ;
            viewGroup.addView(r5, viewGroup.getChildCount());
        }
        Context context = getContext();
        ImageView imageView = new ImageView(context);
        imageView.setLayoutParams(new ViewGroup.LayoutParams(C08862ha.LIZ(20.0d), C08862ha.LIZ(20.0d)));
        AnonymousClass3ZQ r1 = new AnonymousClass3ZQ();
        r1.LIZ = 2131755693;
        r1.LIZLLL = Integer.valueOf(070.LIZJ(context, 2131099731));
        r1.LIZIZ = C08862ha.LIZ(20.0d);
        r1.LIZJ = C08862ha.LIZ(20.0d);
        imageView.setImageDrawable(r1.LIZ(context));
        C29303Ys r22 = new C29303Ys(context, (AttributeSet) null);
        r22.LIZ((View) imageView);
        r22.LIZJ(true);
        r22.LIZJ.findViewById(2131365723).setVisibility(8);
        r32.observe(this, new AnonymousClass3Z1(this, r22));
        MethodCollector.o(10404);
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return 0HH.LIZ(layoutInflater, 2131559427, viewGroup, false);
    }
}
